
package com.chemaxon.checkers.example;

import chemaxon.checkers.result.StructureCheckerResult;
import chemaxon.fixers.AbstractStructureFixer;
import chemaxon.fixers.FixesExternal;

/**
 * This class is a "dummy" fixer for the {@link MyFirstStructureChecker} class.
 * It just wipes the molecule object. Its only purpose is to demonstrate the {@link FixesExternal}
 * annotation
 */
@FixesExternal({"MyFirstErrorCode"})
public class MyFixerForMyChecker extends AbstractStructureFixer {

	/* (non-Javadoc)
	 * @see chemaxon.fixers.StructureFixer#fix(chemaxon.checkers.result.StructureCheckerResult)
	 */
	@Override
	public boolean fix(StructureCheckerResult result) {
		result.getMolecule().removeAll();
		return true;
	}

}
