/*
 * Copyright (c) 1998-2010 ChemAxon Ltd. All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * ChemAxon. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms of the agreements
 * you entered into with ChemAxon.
 *
 */

package com.chemaxon.checkers.example.tests;

import junit.framework.TestCase;
import chemaxon.checkers.EmptyStructureChecker;
import chemaxon.checkers.result.StructureCheckerResult;
import chemaxon.struc.Molecule;

import com.chemaxon.checkers.example.MyFirstStructureFixer;

/**
 * This is a JUNIT test class for {@link MyFirstStructureFixer}
 * @see MyFirstStructureFixer
 */
public class MyFirstStructureFixerTest extends TestCase {
	
	/**
	 * This method tests if the fixer was able to handle the error of 
	 * {@link EmptyStructureChecker}
	 */
	public void testFix() {
		//Initiate a fixer instance. Through this instance the implementation will be tested
		MyFirstStructureFixer fixer = new MyFirstStructureFixer();
		//Initiate a checker instance which can provide a result for the fixer
		EmptyStructureChecker checker = new EmptyStructureChecker();
		//Create an empty molecule as an input for the checker
		Molecule emptyMol = new Molecule();
		//Check the molecule for error
		StructureCheckerResult result = checker.check(emptyMol);
		//This case doesn't handle non-empty molecules thus assert error thrown in this case 
		assertNotNull(result);
		//Try to fix the problem
		boolean ret = fixer.fix(result);
		//Throw assert error if fix failed (signed by ret is false)
		assert(ret);
	}
}
