
package com.chemaxon.checkers.example.tests;

import junit.framework.TestCase;
import chemaxon.checkers.result.StructureCheckerResult;
import chemaxon.struc.MolAtom;
import chemaxon.struc.Molecule;

import com.chemaxon.checkers.example.MyFirstStructureChecker;
import com.chemaxon.checkers.example.MyFixerForMyChecker;

/**
 * This is a JUNIT test class for {@link MyFixerForMyChecker}.
 * @see MyFixerForMyChecker
 */
public class MyFixerForMyCheckerTest extends TestCase {
	/**
	 * This method tests that the fixer was able the handle the error of our checker or not
	 */
	public void testFix() {
		//Initiate a fixer instance. Through this instance will be the implementation tested.
		MyFixerForMyChecker fixer = new MyFixerForMyChecker();
		//Initiate a checker instance which can provide a result for the fixer.
		MyFirstStructureChecker checker = new MyFirstStructureChecker();
		//We use the same input as in the checekr's test
		Molecule mol = new Molecule();
		for (int i=0;i<150;++i) {
			mol.add(new MolAtom(92));
		}
		StructureCheckerResult result = checker.check(mol);
		//This case doesn't handle not too heavy molecules thus assert error thrown.
		assertNotNull(result);
		//Try to fix the problem.
		boolean ret = fixer.fix(result);
		//Throw assert error if fix failed (signed by ret is false).
		assert(ret);
	}
}
